org.eclipse.actf.model.dom.dombycom

## Interface IImageElement

All Superinterfaces:
  IEvalTarget, INodeEx, Node

    public interface IImageElement
    extends INodeEx

The IImageElement interface defines the methods to be implemented by the image element.

### Field Summary

### Fields inherited from interface org.w3c.dom.Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

### Method Summary

Methods
`Element` `getMap()`
`boolean` `hasUsemap()`

### Methods inherited from interface org.eclipse.actf.model.dom.dombycom.INodeEx

`analyze, doClick, extractString, getAccessKey, getHeadingLevel, getLinkURI, getLocation, getNth, getStillPictureData, getText, highlight, setFocus, setText, unhighlight`

### Methods inherited from interface org.w3c.dom.Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

### Methods inherited from interface org.eclipse.actf.util.vocab.IEvalTarget

`getTerms`

### Method Detail

#### getMap

    Element getMap()

Returns:
  the map element specified in the image element as a attribute.

#### hasUsemap

    boolean hasUsemap()

Returns:
  whether the element has usemap attribute or not.